Bug 130213 - LSM need CONFIG_SECURITY_CAPABILITIES=m
LSM need CONFIG_SECURITY_CAPABILITIES=m
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
: 137762 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-18 00:08 EDT by Cameron Meadors
Modified: 2015-01-04 17:08 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 01:35:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Cameron Meadors 2004-08-18 00:08:18 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040803 Firefox/0.9.3

Description of problem:
INSTALL file from realtime-lsm package states:

Note that CONFIG_SECURITY_CAPABILITIES *must* be a module.  If it is
configured directly into the kernel ("=y"), the realtime LSM will not
work.

The kernel config has CONFIG_SECURITY_CAPABILITIES=y.  To compile and
use the realtime-lsm module this options needs to be set to "m" and
the kernel and all modules must be rebuilt.

Version-Release number of selected component (if applicable):
2.6.7-1.494.2.2

How reproducible:
Always

Steps to Reproduce:
1. try to 'make' on realtime-lsm with stock kernel-sourcecode
2.
3.
    

Actual Results:  Failed: Security Capabilities not configured as module
Realtime LSM will not work with kernel
Please rerun 'make config' on the kernel and try again.

Expected Results:  make succeeds

Additional info:
Comment 1 Dave Jones 2004-11-18 23:16:45 EST
*** Bug 137762 has been marked as a duplicate of this bug. ***
Comment 2 Dave Jones 2005-04-16 01:35:10 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.